Subject: [bug#59048] [PATCH] guix: modify-input: Recommend prepend instead of append.

From: Vivien Kraus <[email-masked]>
Date: Sat, 05 Nov 2022 20:47:35 +0100

Hello!

Le samedi 05 novembre 2022 à 20:17 +0100, Christopher Baines a écrit :
> 
> Vivien Kraus via Guix-patches via <[email-masked]> writes:
> 
> > * doc/guix.texi (Defining Package Variants): Document the "prepend"
> > clause of
> > modify-inputs first.
> > * guix/packages.scm (modify-inputs): use "prepend" in the
> > docstring.
> > ---
> >  doc/guix.texi     | 12 ++++++------
> >  guix/packages.scm |  4 ++--
> >  2 files changed, 8 insertions(+), 8 deletions(-)
> 
> This seems OK, but it would be good to know why you're wanting to
> change
> this? In other words, how does this make things better?

I’m not sure of anything. What I gathered so far is:

- it could be more efficient;
- most instances in the packages use prepend rather than append:

$ grep -R '(modify-inputs' gnu -A 3 | grep '(append' | wc -l
34
$ grep -R '(modify-inputs' gnu -A 3 | grep '(prepend' | wc -l
128

I’m inviting ( in the discussion because the issue was raised in an IRC
discussion about a previous patch of mine (test).

Now, the old way I would reply to this message would be to attach an
updated patch, but since I have been told to send patches as emails
instead of attachments I don’t know how to proceed.

Vivien